> ## Documentation Index
> Fetch the complete documentation index at: https://docs.withclasp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Subclass

> Defines the details of a subclass.



## OpenAPI

````yaml post /subclasses
openapi: 3.0.3
info:
  title: ''
  version: 0.0.0
servers: []
security: []
paths:
  /subclasses:
    post:
      tags:
        - subclasses
      description: Defines the details of a subclass.
      operationId: subclasses_create
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Subclass'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/Subclass'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/Subclass'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Subclass'
          description: ''
      security:
        - tokenAuth: []
components:
  schemas:
    Subclass:
      type: object
      properties:
        id:
          type: string
          readOnly: true
        category:
          $ref: '#/components/schemas/SubclassCategoryEnum'
        name:
          type: string
        employer:
          type: string
        is_default:
          type: boolean
      required:
        - category
        - id
        - name
        - employer
    SubclassCategoryEnum:
      enum:
        - department
        - division
        - class
      type: string
      description: |-
        * `department` - department
        * `division` - division
        * `class` - class
  securitySchemes:
    tokenAuth:
      type: http
      scheme: bearer
      description: API Key authentication with required prefix "Bearer"

````